Skip to main content

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index] [List Home]
Re: [tycho-user] Error - The type org.eclipse.swt.widgets.Button cannot be resolved. It is indirectly referenced from required .class files

My bad. I suppose that there was some change in the subject, so I didn’t see the second half of the conversation.

 

Thanks for the patch. I’ll have a look as soon as I have time and the Eclipse Gerrit is fixed (https://bugs.eclipse.org/bugs/show_bug.cgi?id=393735 )

 

Regards

Tobias

 

 

From: tycho-user-bounces@xxxxxxxxxxx [mailto:tycho-user-bounces@xxxxxxxxxxx] On Behalf Of Jeff MAURY
Sent: Donnerstag, 15. November 2012 20:15
To: Tycho user list
Subject: Re: [tycho-user] Error - The type org.eclipse.swt.widgets.Button cannot be resolved. It is indirectly referenced from required .class files

 

If Babel repository is used in the build, then i have already opened a ticket and proposed a patch which is in the gerrit queue

Jeff

Le 14 nov. 2012 13:51, "Oberlies, Tobias" <tobias.oberlies@xxxxxxx> a √©crit :

I believe that the behaviour you are seeing is a bug, but until now no-one has reported it with an example to reproduce.

 

AFAIK, Tycho should put everything needed on the compile class path (including indirectly referenced class files) and only prevent direct use of these files (through access rules).

 

So: If you are interested in a proper solution, open a bug report with a minimal example project that reproduces the problem.

 

Regards

Tobias

 

From: tycho-user-bounces@xxxxxxxxxxx [mailto:tycho-user-bounces@xxxxxxxxxxx] On Behalf Of Tonny Madsen
Sent: Dienstag, 6. November 2012 22:50
To: Tycho user list
Subject: Re: [tycho-user] Error - The type org.eclipse.swt.widgets.Button cannot be resolved. It is indirectly referenced from required .class files

 

Hi Alexander,

 

So come around these types of indirect dependencies, you must import the package in question in your bundle - in this case "org.eclipse.swt.widgets". Alternatively, you can require "org.eclipse.swt" in your bundle.

 

The error occurs because, Tycho is more strict in its compiler class path than Eclipse itself. Eclipse more or less disregards the restrictions on the various bundles during import/require so you don't have to be so strict in your imports...

 

/Tonny

 

On Tue, Nov 6, 2012 at 6:13 PM, <alexander.friesen@xxxxxxxxxxxxxx> wrote:

Situation: I have an Eclipse RCP Application, which I am trying to build with tycho plugin for Eclipse. 
When I am executing my Eclipse Application inside of the IDe - the Application is executed normally. 
When using tycho to build the Application - the following error is thrown:

 
 
 
The type org.eclipse.swt.widgets.Button cannot be resolved. It is indirectly referenced from required .class files

What I did : 
In other cases where a "missing requirenments" exception was thrown, which I found - a missing transitive plugin-dependency was the reason.

In my case an SWT widget "Button" is missing, so I am trying to import swt. SWT is platform dependant so I am importing swt inside of the product, as described here.

Anyway, during compilation the error occurs again.

Question: 
Do someone have any Idea, how to solve this Problem?


_______________________________________________
tycho-user mailing list
tycho-user@xxxxxxxxxxx
https://dev.eclipse.org/mailman/listinfo/tycho-user



 

--

Tonny Madsen

My profiles: Image removed by sender. LinkedIn Image removed by sender. Twitter Image removed by sender. Blogger Image removed by sender. SlideShare


_______________________________________________
tycho-user mailing list
tycho-user@xxxxxxxxxxx
https://dev.eclipse.org/mailman/listinfo/tycho-user


Back to the top